### Method

# Ide EditorSidebar get_section_id

#### Declaration

    const gchar*
    ide_editor_sidebar_get_section_id (
      IdeEditorSidebar* self
    )

#### Description

Gets the id of the current section.

Available since: | 3.32

#### Return value

Returns: | `const gchar*`
| The id of the current section if it registered one.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.